#![deny(missing_docs)]
//! Various structs to represents DNS names and labels

use crate::errors::*;
use bytes::Bytes;
use smallvec::SmallVec;
use std::io::Cursor;

pub use self::canonical_name::*;
pub use self::compressed_name::*;
pub use self::display::*;
pub use self::label::*;
use self::label_offsets::*;
pub use self::name::*;
pub use self::name_iterator::*;

mod canonical_name;
mod compressed_name;
mod display;
mod label;
mod label_offsets;
mod name;
mod name_iterator;
mod name_mutations;
mod name_packet_parser;
mod name_text_parser;

#[cfg(test)]
mod tests;
