use crate::ser::{packet::DnsPacketData, text::DnsTextData};

// https://www.iana.org/assignments/dns-sshfp-rr-parameters/dns-sshfp-rr-parameters.xml

#[dnsbox_derive::native_enum(u8)]
#[derive(DnsPacketData, DnsTextData)]
pub enum SshFpAlgorithm {
	// Reserved: 0

	// [RFC4255]
	RSA = 1,
	// [RFC4255]
	DSA = 2,
	// [RFC6594]
	ECDSA = 3,
	// [RFC7479]
	ED25519 = 4,
}

#[dnsbox_derive::native_enum(u8)]
#[derive(DnsPacketData, DnsTextData)]
pub enum SshFpType {
	SHA1 = 1,
	SHA256 = 2,
}
